!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA GSFC Land Data Toolkit (LDT) V1.0
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
subroutine LDT_run_MetTimeDScale

  use LDT_coreMod
  use LDT_timeMgrMod
  use LDT_metforcingMod
  use LDT_metforcDscaleMod
  use LDT_logMod

  implicit none
  integer :: pass, n

   do while (.NOT. LDT_endofrun())
      do pass=1,2   ! Two passes on the metforcing data
         do while(.NOT. LDT_endofMetDscaleTimeWindow())
            call LDT_ticktime                         ! Advance time
            do n=1,LDT_rc%nnest
               call LDT_get_met_forcing(n)            ! Retrieve and timeinterp forcing
               if(pass.eq.1) then 
                  call LDT_diagnoseForMetForcDscale(n) ! Sum and count each field
               endif                             
               if(pass.eq.2) then 
                  call LDT_applyDscaleCorrection(n)   ! Multiply weight of F1 to F2
               !   call LDT_SimpleWeight_Tdscale(n)    ! "Overlay" field 2 onto 1
                  call LDT_perturb_forcing(n)         ! Diagnose output (average)
                  call LDT_output_met_forcing(n)      ! Write output
               endif
            enddo
         enddo
         call LDT_computeMetForcDscaleParams(pass)    ! Assign sum of F1 to SumF1
         call LDT_resetMetDscaleTimeWindow(pass)      ! Reset Met Dscale Time window
         call LDT_resetDscaleVars(pass)               ! Reset Met Dscale variables
         call LDT_metforcing_reset()                  ! Reset metforcing variables
         call LDT_resetForcingVars()                  ! Reset variables
      enddo     ! End of Time window reached

      call LDT_flush(LDT_logunit)
   enddo

  write(LDT_logunit,*) "--------------------------------"
  write(LDT_logunit,*) " Finished LDT run "
  write(LDT_logunit,*) "--------------------------------"

end subroutine LDT_run_MetTimeDScale
  
